package com.ifavine.pay.api;


import com.ifavine.pay.vo.CanteenWindow;
import com.ifavine.pay.vo.CommonListResponse;
import com.ifavine.pay.vo.CommonResponse;
import com.ifavine.pay.vo.User;

import okhttp3.RequestBody;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;

import retrofit2.http.POST;


public abstract interface APIService {

    @FormUrlEncoded
    @POST("getMsgDaliyList")
    Call<CommonResponse<User>> getMsgDaliyList(@Field("data") String data);


    @FormUrlEncoded
    @POST("getMeetingTaskReplyList")
    Call<CommonListResponse<User>> getMsgDaliyList2(@Field("data") String data);


    @FormUrlEncoded
    @POST("GetServerDate")
    Call<CommonResponse<String>> GetServerDate(@Body RequestBody info);


    @FormUrlEncoded
    @POST("GetLocalRecordReport")
    Call<CommonResponse<String>> GetLocalRecordReport(@Body RequestBody info);

    @FormUrlEncoded
    @POST("GetMonthRecordReport")
    Call<CommonResponse<String>> GetMonthRecordReport(@Body RequestBody info);

    @FormUrlEncoded
    @POST("GetConsumRecordReport")
    Call<CommonResponse<String>> GetConsumRecordReport(@Body RequestBody info);

    @FormUrlEncoded
    @POST("SubmitPaying")
    Call<CommonResponse<String>> SubmitPaying(@Body RequestBody body);


    @POST("GetCanteenWindows")
    Call<CommonListResponse<CanteenWindow>> GetCanteenWindows(@Body RequestBody body);

    @POST("SaveCanteenWindows")
    Call<CommonResponse> SaveCanteenWindows(@Body RequestBody body);

    @POST("GetWindowCostAmount")
    Call<CommonListResponse<CanteenWindow>> GetWindowCostAmount(@Body RequestBody body);


    @POST("SaveWindowCostAmount")
    Call<CommonResponse> SaveWindowCostAmount(@Body RequestBody body);
}

